Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn
Class JAZNConfigException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.security.jazn.JAZNConfigException`

All Implemented Interfaces:
  java.io.Serializable

public class JAZNConfigException
extends java.lang.RuntimeException

An JAZNConfigException represents an authorization exception.

See Also:
  Serialized Form

Field Summary
`protected java.lang.Throwable` | `_cause` Contains the original exception that caused this JAZNConfigException to be thrown.

Constructor Summary
`JAZNConfigException()` Creates a new instance of JAZNConfigException
`JAZNConfigException(java.lang.String msg)` Creates a new instance of JAZNConfigException with the specified arguments
`JAZNConfigException(java.lang.String msg, java.lang.Throwable cause)` Creates a new instance of JAZNConfigException with the specified arguments

Method Summary
`java.lang.Throwable` | `getCause()` Retrieves the causing exception of this JAZNConfigException, if any.
`java.lang.Throwable` | `initCause(java.lang.Throwable cause)` Sets the causing exception of this exception.
`void` | `printStackTrace()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _cause

    protected java.lang.Throwable _cause

  Contains the original exception that caused this JAZNConfigException to be thrown. This field is set if there is additional information that that could be obtained from the original exception, or if there original exception could not be mapped to a subclass of JAZNConfigException. Can be null. This field is initialized by the constructors. You should access and manipulate this field through its get and set methods.

Constructor Detail

### JAZNConfigException

    public JAZNConfigException()

  Creates a new instance of JAZNConfigException

### JAZNConfigException

    public JAZNConfigException(java.lang.String msg)

  Creates a new instance of JAZNConfigException with the specified arguments

### JAZNConfigException

    public JAZNConfigException(java.lang.String msg,
                               java.lang.Throwable cause)

  Creates a new instance of JAZNConfigException with the specified arguments

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Retrieves the causing exception of this JAZNConfigException, if any.
  Returns:
    The possibly null exception that caused this authorization exception. If null, it means there is no causing exception for this authorization exception.
  See Also:
    `initCause(java.lang.Throwable)`

### initCause

    public java.lang.Throwable initCause(java.lang.Throwable cause)

  Sets the causing exception of this exception. <p/> If `e` is `this`, this method does no do anything.
  See Also:
    `getCause()`

### printStackTrace

    public void printStackTrace()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All rights reserved.